Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.dao
Class LocaleUrlDefinitionDAO

    java.lang.Object
      org.apache.tiles.definition.dao.BaseLocaleUrlDefinitionDAO
          org.apache.tiles.definition.dao.LocaleUrlDefinitionDAO

All Implemented Interfaces:
  TilesApplicationContextAware, DefinitionDAO<java.util.Locale>, URLReader, RefreshMonitor, Initializable

    public class LocaleUrlDefinitionDAO

extends BaseLocaleUrlDefinitionDAO

A definition DAO that uses `Locale` as a customization key and loads definitions from URLs. It does not cache definitions in any way.

Since:
  2.1.0
Version:
  $Rev: 672360 $ $Date: 2008-06-27 21:12:29 +0200 (ven, 27 giu 2008) $

Field Summary

Fields inherited from class org.apache.tiles.definition.dao.BaseLocaleUrlDefinitionDAO
`applicationContext, lastModifiedDates, reader, sourceURLs`

Constructor Summary
`LocaleUrlDefinitionDAO()`

Method Summary
`Definition` | `getDefinition(java.lang.String name, java.util.Locale customizationKey)` Returns a definition, given its name and the customization key.
`java.util.Map<java.lang.String,Definition>` | `getDefinitions(java.util.Locale customizationKey)` Returns all the definitions used of a customization key.

Methods inherited from class org.apache.tiles.definition.dao.BaseLocaleUrlDefinitionDAO
`addSourceURL, getResourceNames, getResourceString, identifySources, init, loadDefinitionsFromURL, refreshRequired, setApplicationContext, setReader, setSourceURLs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleUrlDefinitionDAO

    public LocaleUrlDefinitionDAO()

Method Detail

### getDefinition

    public Definition getDefinition(java.lang.String name,
                                    java.util.Locale customizationKey)

  Returns a definition, given its name and the customization key.

  WARNING! This method is slow! It loads all the definitions and then selects the needed one.

  Parameters:
    `name` - The name of the definition.
    `customizationKey` - The customization key.
  Returns:
    The requested definition, if found, otherwise `null`. The inheritance of the definition must not be resolved.
  Since:
    2.1.0

### getDefinitions

    public java.util.Map<java.lang.String,Definition> getDefinitions(java.util.Locale customizationKey)

  Returns all the definitions used of a customization key.

  Parameters:
    `customizationKey` - The customization key.
  Returns:
    All the definitions that are connected to the customization key. The inheritance of the definitions must not be resolved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.